Subject: Re: mmap not share
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>, "Brian Michael Genisio" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 26 Jun 2001 09:49:52 +1000

----- Original Message -----
From: "Brian Michael Genisio" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, June 26, 2001 5:47 AM
Subject: Re: mmap not share

>
> Dirk,
> This mmap thing is annoying... not only because mmap does not sync
correctly,
> but because the cygipc shared memory interface uses mmap to do it's
> dirtywork... so mmaped files AND shm do not work correctly!!!!
>
> This racked my brain for a long while, until I created a workaround...
If I
> wanted to re-read the mmapped file, I had to unmap, and re-map... I
created a
> function I called mmap_sync (instead of calling msync, which does not
work
> either) and I put the unmap and map again in it... It created a lot of
needless
> overhead, but it was all I could think of to work around it...
>
> I hope I was of some help, and please tell me if you figure it out.
> Brian
>

Brian, have you considered fixing this in cygwin1.dll, not in cygipc?
That way your workaround would allow everyone access. (I suspect your
workaround isn't the appropriate fix, but nevertheless)..

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple